This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 208168 - mounting root fails when root fs is specified by label
mounting root fails when root fs is specified by label
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kexec-tools (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Neil Horman
Linda Wang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-26 14:37 EDT by Nobuhiro Tachino
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-13 12:13:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch to detect and scan for disk labels and uuid's (1.56 KB, patch)
2006-09-28 15:49 EDT, Neil Horman
no flags Details | Diff

  None (edit)
Description Nobuhiro Tachino 2006-09-26 14:37:01 EDT
Description of problem:

When copying vmcore fails, the script in initrd tries to
mount the root fs on /sysroot. But if the root is specified as label in 
grub.conf,
mount fails. I'm afraid mount in busybox does not support label.

Version-Release number of selected component (if applicable):

kexec-tools-1.101-71

How reproducible:

Always.

Steps to Reproduce:
1. Set up kdump.
2. Fill the dump partition which is specified in /etc/kdump.conf with zero.
3. cause panic.
  
Actual results:

mount command fails with error.

Expected results:

mount succeeds.

Additional info:
Comment 1 Neil Horman 2006-09-28 15:49:24 EDT
Created attachment 137339 [details]
patch to detect and scan for disk labels and uuid's

this fixes the problem for me.	Can you please rebuild the latest srpm with
this patch included and confirm that it fixes the problem for you?  Thanks!
Comment 2 Nobuhiro Tachino 2006-10-02 15:12:57 EDT
The patch fixes my problem. Thank you.
Comment 3 Mike Gahagan 2006-10-02 15:37:01 EDT
After trying the patch, I'm getting a usage message from /bin/msh after which
time the kernel panics. This is happening right after the kernel boots (tune2fs
1.39 (29-May-2006) ....)  was the last message before the msh usage message)
Comment 4 Mike Gahagan 2006-10-02 15:53:54 EDT
I'm getting this same panic regardless of weather or not I mount / by label.

This particular system is an x86_64 (em64T) which does not use lvm (/ is on
/dev/sda2 which is a SATA drive)
Comment 5 Nobuhiro Tachino 2006-10-02 15:58:22 EDT
It occured on my machine too, but after upgrading and downgrading kexex-tools
a few times, the problem dissapeared.
Comment 6 Neil Horman 2006-10-02 16:02:24 EDT
Fixed in release -75.el5.  Thanks!
Comment 7 Nobuhiro Tachino 2006-10-02 16:33:50 EDT
The problem reproduced on my another box. busybox command in dump initrd seems
to be overwritten by /sbin/findfs. The following for loop in /sbin/mkdumprd does
this.

    #copy the binaries and their shared libraries to the archive
    for n in $bin $kdump_libs $k_extras; do
        mkdir -p $MNTIMAGE/`dirname $n`
        cp $n $MNTIMAGE/$n
    done

I think the latest busybox seems to support findfs subcommand and $bin does not
require to include findfs. The following patch worked for me.

--- mkdumprd.org        2006-10-02 16:13:49.000000000 -0400
+++ mkdumprd    2006-10-02 16:14:10.000000000 -0400
@@ -1363,7 +1363,7 @@ if [ -n "$KDUMP_CONFIG_FILE" ]; then

     #timezone info for date which outputs YYYY-MM-DD-hh:mm
     cp /etc/localtime $MNTIMAGE/etc/localtime
-    bin="/sbin/dmsetup /usr/bin/scp /usr/bin/ssh /sbin/ethtool /sbin/ifenslave
/sbin/mdadm /sbin/findfs"
+    bin="/sbin/dmsetup /usr/bin/scp /usr/bin/ssh /sbin/ethtool /sbin/ifenslave
/sbin/mdadm"
     #ssh, scp require libraries that aren't found with ldd
     lib=/lib && [ -d "/lib64" ] && lib=/lib64
     k_extras="/$lib/libnss_compat.so.2 /$lib/libnss_files.so.2"
Comment 8 Neil Horman 2006-10-03 07:50:43 EDT
Oh, good, your right, I can remove that.  Must have been testing with an old
busybox.  Thanks!
Comment 9 Jay Turner 2007-02-13 12:08:50 EST
Fix confirmed with kexec-tools-1.101-164.el5.

Note You need to log in before you can comment on or make changes to this bug.